<?php
 
 
 

namespace PhpWA\Protocol\Proto\HandshakeMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ServerHello extends \Google\Protobuf\Internal\Message
{
    


    protected $ephemeral = null;
    


    protected $static = null;
    


    protected $payload = null;
    


    protected $extendedStatic = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getEphemeral()
    {
        return isset($this->ephemeral) ? $this->ephemeral : '';
    }

    public function hasEphemeral()
    {
        return isset($this->ephemeral);
    }

    public function clearEphemeral()
    {
        unset($this->ephemeral);
    }

    




    public function setEphemeral($var)
    {
        GPBUtil::checkString($var, False);
        $this->ephemeral = $var;

        return $this;
    }

    



    public function getStatic()
    {
        return isset($this->static) ? $this->static : '';
    }

    public function hasStatic()
    {
        return isset($this->static);
    }

    public function clearStatic()
    {
        unset($this->static);
    }

    




    public function setStatic($var)
    {
        GPBUtil::checkString($var, False);
        $this->static = $var;

        return $this;
    }

    



    public function getPayload()
    {
        return isset($this->payload) ? $this->payload : '';
    }

    public function hasPayload()
    {
        return isset($this->payload);
    }

    public function clearPayload()
    {
        unset($this->payload);
    }

    




    public function setPayload($var)
    {
        GPBUtil::checkString($var, False);
        $this->payload = $var;

        return $this;
    }

    



    public function getExtendedStatic()
    {
        return isset($this->extendedStatic) ? $this->extendedStatic : '';
    }

    public function hasExtendedStatic()
    {
        return isset($this->extendedStatic);
    }

    public function clearExtendedStatic()
    {
        unset($this->extendedStatic);
    }

    




    public function setExtendedStatic($var)
    {
        GPBUtil::checkString($var, False);
        $this->extendedStatic = $var;

        return $this;
    }

}

